Subject: [AAA-WG]: FW: questions and comments regarding the Diameter API draft

From: Yiwen Jiang <[email-masked]>
Date: Tue, 1 May 2001 12:52:37 -0400

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Tuesday, May 01, 2001 12:23 PM
To: [email-masked]; [email-masked]
Subject: Re: questions and comments regarding the Diameter API draft

Since I'm doing the Java API, I'll confine my comments to that.

>
>- General questions
>	+ Language: Why is there a Java API for server? Is C API for server
>not good enough? 'cause people can use JNI to put a wrapper around the C
>API. Or is the intent to standardize the server interface despite the fact
>that C API provides the same functionality? 

The C API is not cross platform. The Java API is. So requring a JNI
wrapper would tie a Java implementation to a particular platform.
Allowing a full all Java implementation improves portability. 

In addition, there is nothing stopping an implementor from implementing the 
Java server API with a JNI wrapper. The callback functions need
to be in Java and not C, which is somewhat cumbersome to program
through possible.

		jak